%define upstream_name    Module-Install-GithubMeta
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Module::Install extension to include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install) >= 0.850.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Module::Install::GithubMeta is a the Module::Install manpage extension to
include GitHub the http://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.300.0-4pclos2017
- rebuild against updates

